<template>
  <div>
    <h1>Articulos En Nuestras Tiendas</h1>
    <h4>Articulos :</h4>
    <carousel
      :perPageCustom="[[0, 1],[690, 3], [1264, 5]]"
      :navigate-to="some - local - property"
      :mouse-drag="false"
      :autoplay="true"
      :autoplay-direction="forward"
      :loop="true"
      :paginationEnabled="false"
      :data="randomProductList"
    >
      <slide v-for="(item, index) in randomProductList" :key="index">
        <div @click="goToProductDetails(item.product_id)">
          <img :src="item.product_img" />
          <h3>{{ item.product_name }}</h3>
          <h2>{{ item.product_price }} Euro</h2>
        </div>
      </slide>
    </carousel>
  </div>
</template>

<script>
import { Carousel, Slide } from "vue-carousel";
export default {
  name: "RandomProductCaroussel",
  components: {
    Carousel,
    Slide
  },
  props: {
    randomProductList: Array
  },
  data() {
    return {};
  },

  methods: {
    goToProductDetails(product_id) {
      this.$emit("go-to-this-article-details", product_id);
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
img {
  height: 10vw;
  width: 10vw;
}
h1 {
  padding-bottom: 5%;
  font-family: "sin serif Robot", regular;
  font-size: 40px;
  margin-bottom: 30px;
}
h2 {
  font-family: "sin seraf Robot", regular;
  font-size: 15px;
}
h3 {
  font-family: "sin seraf Robot", regular;
  font-size: 30px;
}
h4 {
  display: none;
}
h3::first-letter {
  text-transform: uppercase;
}
@media only screen and (max-width: 500px) {
  h1 {
    display: none;
  }
  h4 {
    display: initial;

    font-family: "sin serif Robot", regular;
    font-size: 30px;
    margin-bottom: 2vw;
  }
  img {
     height: 60vw;
    width: 50vw;
  }
}
</style>